cURL
curl "https://api.phrase.com/v2/accounts/ab12cd34/repo_syncs"\
-u USERNAME_OR_ACCESS_TOKENphrase repo_syncs list \
--account_id abcd1234 \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/repo_syncs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/repo_syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"project": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
"provider": "github",
"enabled": true,
"auto_import": true,
"repo_name": "organization/repo",
"created_at": "2015-01-28T09:52:53Z",
"last_import_at": "2015-01-28T09:52:53Z",
"last_export_at": "2015-01-28T09:52:53Z"
}
]Repo Syncs
Get Repo Syncs
Lists all Repo Syncs from an account
GET
/
accounts
/
{account_id}
/
repo_syncs
cURL
curl "https://api.phrase.com/v2/accounts/ab12cd34/repo_syncs"\
-u USERNAME_OR_ACCESS_TOKENphrase repo_syncs list \
--account_id abcd1234 \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/repo_syncs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/repo_syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"project": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
"provider": "github",
"enabled": true,
"auto_import": true,
"repo_name": "organization/repo",
"created_at": "2015-01-28T09:52:53Z",
"last_import_at": "2015-01-28T09:52:53Z",
"last_export_at": "2015-01-28T09:52:53Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Response
OK
Optional custom display name for this repo sync. When null or blank, the sync is displayed using the associated project name.
Maximum string length:
100Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
Branch used as the source of exports/PRs. May be null when the sync is configured to push directly to base_branch.
Was this page helpful?
⌘I